%define  unsigned 0

Name:           bootfw
Version:        q2d08a
Release:        1%{?dist}%{?with_unsigned:.unsigned}
Summary:        boot firmware for the XO

Group:          System Environment/Base
License:        MIT/BSD+condition
URL:            http://wiki.laptop.org/go/Firmware
%if %{unsigned}
Source0:        http://dev.laptop.org/pub/firmware/%{version}/%{version}.rom
Source1:        http://dev.laptop.org/pub/firmware/%{version}/%{version}.rom.sha1
%else
Source0:        http://dev.laptop.org/pub/firmware/%{version}/bootfw.zip
Source1:        http://dev.laptop.org/pub/firmware/%{version}/bootfw.zip.sha1
%endif
# comes from http://openbios.org/viewvc/README?view=markup&root=OpenFirmware
Source2:        README.openfirmware
Source3:        olpc.fth
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
Open Firmware for the OLPC XO
%prep
cp -p %{SOURCE0} .
cp -p %{SOURCE2} .
sha1sum -c %{SOURCE1}
%if %{unsigned}
cp -p %{SOURCE0} data.img
zip -n .img bootfw.zip data.img
%endif


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot/
install -m 0644 bootfw.zip $RPM_BUILD_ROOT/boot/bootfw.zip
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/boot/olpc.fth

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.openfirmware
/boot/bootfw.zip
/boot/olpc.fth


%changelog
* Wed Jan 23 2008 Dennis Gilmore <dennis@laptop.org> - q2d08a-1
- Build signed firmware q2d08a

* Fri Jan 18 2008 Dennis Gilmore <dennis@laptop.org> - q2d09-2
- move the creation of bootfw.zip to prep from build for unsigned builds

* Fri Jan 18 2008 Dennis Gilmore <dennis@laptop.org> - q2d09-2
- add olpc.fth

* Fri Jan 18 2008 Dennis Gilmore <dennis@laptop.org> - q2d09-1
- Add bits to allow packaging of unsigned builds
- update to q2d09 which is unsigned
- add copy of license file

* Wed Jan 02 2008 Dennis Gilmore <dennis@laptop.org> - q2d07-1
- inital build 
